This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

Deprecate "--with-brewed-*" options

  • Loading branch information...
alanthing committed Feb 2, 2015
1 parent 401a2a0 commit 4ccfcefb4ff3b32fe894c8bb5e48dc8473da8b9b
Showing with 29 additions and 0 deletions.
  1. +2 βˆ’0 httpd22.rb
  2. +2 βˆ’0 httpd24.rb
  3. +3 βˆ’0 mod_bonjour.rb
  4. +3 βˆ’0 mod_fastcgi.rb
  5. +3 βˆ’0 mod_fcgid.rb
  6. +4 βˆ’0 mod_python.rb
  7. +4 βˆ’0 mod_security.rb
  8. +4 βˆ’0 mod_wsgi.rb
  9. +4 βˆ’0 mod_wsgi3.rb
View
@@ -15,6 +15,8 @@ class Httpd22 < Formula
option "with-mpm-event", "Use the Event Multi-Processing Module instead of Prefork"
option "with-privileged-ports", "Use the default ports 80 and 443 (which require root privileges), instead of 8080 and 8443"
deprecated_option "with-brewed-openssl" => "with-homebrew-openssl"
depends_on "apr-util"
depends_on "openssl" if build.with? "homebrew-openssl"
depends_on "pcre" => :optional
View
@@ -15,6 +15,8 @@ class Httpd24 < Formula
option "with-mpm-event", "Use the Event Multi-Processing Module instead of Prefork"
option "with-privileged-ports", "Use the default ports 80 and 443 (which require root privileges), instead of 8080 and 8443"
deprecated_option "with-brewed-openssl" => "with-homebrew-openssl"
depends_on "apr-util"
depends_on "openssl" if build.with? "homebrew-openssl"
depends_on "pcre"
View
@@ -22,6 +22,9 @@ def message; <<-EOS.undent
option "with-homebrew-httpd22", "Use Homebrew Apache httpd 2.2"
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on CLTRequirement if build.without? "homebrew-httpd22" and build.without? "homebrew-httpd24"
View
@@ -21,6 +21,9 @@ def message; <<-EOS.undent
option "with-homebrew-httpd22", "Use Homebrew Apache httpd 2.2"
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on CLTRequirement if build.without? "homebrew-httpd22" and build.without? "homebrew-httpd24"
View
@@ -23,6 +23,9 @@ def message; <<-EOS.undent
option "with-homebrew-httpd22", "Use Homebrew Apache httpd 2.2"
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on CLTRequirement if build.without? "homebrew-httpd22" and build.without? "homebrew-httpd24"
View
@@ -22,6 +22,10 @@ def message; <<-EOS.undent
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
option "with-homebrew-python", "Use Homebrew python"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
deprecated_option "with-brewed-python" => "with-homebrew-python"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on "python" if build.with? "homebrew-python"
View
@@ -22,6 +22,10 @@ def message; <<-EOS.undent
option "with-homebrew-httpd22", "Use Homebrew Apache httpd 2.2"
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
deprecated_option "with-brewed-apr" => "with-homebrew-apr"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
depends_on "autoconf" => :build
depends_on "automake" => :build
depends_on "apr-util" if build.with? "homebrew-apr"
View
@@ -24,6 +24,10 @@ def message; <<-EOS.undent
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
option "with-homebrew-python", "Use Homebrew python"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
deprecated_option "with-brewed-python" => "with-homebrew-python"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on "python" if build.with? "homebrew-python"
View
@@ -22,6 +22,10 @@ def message; <<-EOS.undent
option "with-homebrew-httpd24", "Use Homebrew Apache httpd 2.4"
option "with-homebrew-python", "Use Homebrew python"
deprecated_option "with-brewed-httpd22" => "with-homebrew-httpd22"
deprecated_option "with-brewed-httpd24" => "with-homebrew-httpd24"
deprecated_option "with-brewed-python" => "with-homebrew-python"
depends_on "httpd22" if build.with? "homebrew-httpd22"
depends_on "httpd24" if build.with? "homebrew-httpd24"
depends_on "python" if build.with? "homebrew-python"

0 comments on commit 4ccfcef

Please sign in to comment.